This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 149597

Summary: No CD/DVD detected at boot after installation is done
Product: [Fedora] Fedora Reporter: Fredrik Jonsson <freddan1972>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 3   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-02-26 03:46:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Fredrik Jonsson 2005-02-24 07:16:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
Installing Fedora 3 or RedHat Enterprise AS 4 works fine from all 4 
CD's.
After installation when login there is no CD/DVD. And I can not mount 
it!

CD/DVD - hdc.
hda, hdb, hdd - Hard Drives

I have no CD/DVD/hcd in dmesg. So it seems like the CD/DVD is not 
detected at boot by the system.

I have a LG DVD-RW with dubbel capacity.

Version-Release number of selected component (if applicable):
udev-039-10.FC3.1.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Log in
2. Put in a CD (any)
3. Try mount (mount /dev/hdc /mnt/cdrom) or look in the filemanager, 
nothing.
    

Actual Results:  /dev/hdc does not exist

Additional info:
Comment 1 Harald Hoyer 2005-02-24 09:49:32 EST
could you please attach the output of:
$ cat /proc/sys/dev/cdrom/info
Comment 2 Fredrik Jonsson 2005-02-25 14:08:11 EST
[root@mickey ~]# cat /proc/sys/dev/cdrom/info
CD-ROM information, Id: cdrom.c 3.20 2003/12/17

drive name:
drive speed:
drive # of slots:
Can close tray:
Can open tray:
Can lock tray:
Can change speed:
Can select disk:
Can read multisession:
Can read MCN:
Reports media changed:
Can play audio:
Can write CD-R:
Can write CD-RW:
Can read DVD:
Can write DVD-R:
Can write DVD-RAM:
Can read MRW:
Can write MRW:
Can write RAM:

-----------------------
[root@mickey ~]# dmesg | grep CD
- Added public key 6ECDA687281A73E5
[root@mickey ~]# dmesg | grep DVD
[root@mickey ~]# dmesg | grep hdc
    ide1: BM-DMA at 0xd808-0xd80f, BIOS settings: hdc:DMA, hdd:DMA

-----------------------
[root@mickey ~]# mount /mnt/cdrom
mount: special device /dev/hdc does not exist

-----------------------
[root@mickey ~]# ls /dev/hd*
/dev/hda   /dev/hda2  /dev/hda4  /dev/hdb   /dev/hdb2  /dev/hdd
/dev/hda1  /dev/hda3  /dev/hda5  /dev/hdb1  /dev/hdb3  /dev/hdd1
Comment 3 Fredrik Jonsson 2005-02-26 03:46:21 EST
Hi
Solved! Yesterday I mixed around my HW (DVD and HDD) and managed BIOS
to find the DVD as second slave. Then it works!

Aparently the DVD can not be on hdc if a HDD is on hdd.
The HDD on hdd is on size 200Gb, maybe that is part of the problem.

/Fredrik